Page MenuHomePhabricator

RTL text in static images generated by Graph is reversed
Closed, ResolvedPublic

Description

{{DISPLAYTITLE:RTL text in static images is reversed}}

Text in RTL languages used in graphs created by Vega that is rendered on server side is shown in revered order:
https://he.wikipedia.org/wiki/%D7%A9%D7%99%D7%97%D7%AA_%D7%AA%D7%91%D7%A0%D7%99%D7%AA:%D7%A2%D7%95%D7%92%D7%AA_%D7%A7%D7%98%D7%92%D7%95%D7%A8%D7%99%D7%95%D7%AA

The text is shown in the correct order when it is rendered in client side (with <canvas>) with Firefox 38.0.

Event Timeline

eranroz created this task.May 28 2015, 8:27 PM
eranroz raised the priority of this task from to Needs Triage.
eranroz updated the task description. (Show Details)
eranroz added a subscriber: eranroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 8:27 PM
eranroz set Security to None.May 28 2015, 8:28 PM
eranroz added subscribers: Amire80, Yurik.
Matanya added a subscriber: greg.May 28 2015, 9:49 PM
Yurik awarded a token.Jun 1 2015, 2:45 PM
Yurik added a project: I18n.
Aklapper renamed this task from desrever si segami citats ni txet LTR to RTL text in static images is reversed.Jun 2 2015, 2:04 PM
Amire80 moved this task from Backlog to Graphics on the RTL board.Jul 16 2015, 3:19 PM
Amire80 triaged this task as High priority.Aug 30 2015, 10:54 AM
Amire80 renamed this task from RTL text in static images is reversed to RTL text in static images generated by Graph is reversed.Sep 16 2015, 6:13 PM

It looks like it was revolved.
Was there a change in the backend render?

@eranroz: Testcase seems to be a 404 now? Does this still happen?

  1. Testcase - I don't think it shouldn't be 404 (but it does) since it worked before. Should I open a new different bug for Vega 1.0 images being 404?
  2. anyway RTL is now working in graph extension (based on different example: https://he.wikipedia.org/wiki/%D7%97%D7%98%D7%99%D7%91%D7%AA_%D7%92%D7%95%D7%9C%D7%A0%D7%99#.D7.9E.D7.91.D7.A0.D7.94_.D7.97.D7.98.D7.99.D7.91.D7.AA_.D7.92.D7.95.D7.9C.D7.A0.D7.99
eranroz closed this task as Resolved.Feb 13 2016, 9:50 AM
Yurik added a comment.Feb 13 2016, 2:08 PM

Awesome re RTL. The vega1 is being phased out. If your vega1 graph used
external data, it was disabled due to a security issue. Vega2 supports an
extensive set of external protocols.

eranroz added a comment.EditedFeb 13 2016, 9:09 PM

Thanks Yurik.
The example uses external data using using the site API with https instead of wikiapi:// though I couldn't get it work with wikiapi:// either.

Yurik added a comment.EditedFeb 14 2016, 12:36 AM

@eranroz - I updated the graph - Hebrew and English versions. For some reason it seems like JavaScript cannot find the position of the colon in the Hebrew string, so the word "template" is not trimmed like in the English version. Update: I think it does work, just that some titles use more than one colon.